# SourcePath: ntp/20181024dev
Summary: Synchronizes system time using the Network Time Protocol (NTP).
Name: sony-target-dev-ntp
%define pkgname	%{sony_tool_triplet}-%{sony_target_dialect}-dev-ntp
Version: 4.2.8p12
Release: 08020501
License: MIT
URL: http://www.ntp.org/downloads.html
Distribution: %{sony_distribution}
Vendor: %{sony_vendor}
Packager: %{sony_packager}
Group: %{sony_group}
Source	  	: ntp-%{version}.tar.gz 
Source2		: configure-ntp
Patch1          : ntp-%{version}-nano.patch

Buildroot 	: %{_tmppath}/%{name}-root
Prefix	  	: %{sony_target_dir}
%define _defaultdocdir	%{sony_target_dir}%{sony_target_doc_dir}

#
#	SRPM
#

%description

The Network Time Protocol (NTP) is used to synchronize a computer's
time with another reference time source.  The ntp package contains
utilities and daemons which will synchronize your computer's time to
Coordinated Universal Time (UTC) via the NTP protocol and NTP servers.
The ntp package includes ntpdate (a program for retrieving the date
and time from remote machines via a network) and ntpd (a daemon which
continuously adjusts system time).

Install the ntp package if you need tools for keeping your system's
time synchronized via the NTP protocol.

%package -n %{pkgname}
Summary: Synchronizes system time using the Network Time Protocol (NTP).
Group: %{sony_group}
AutoReqProv: no


%description -n %{pkgname}

The Network Time Protocol (NTP) is used to synchronize a computer's
time with another reference time source.  The ntp package contains
utilities and daemons which will synchronize your computer's time to
Coordinated Universal Time (UTC) via the NTP protocol and NTP servers.
The ntp package includes ntpdate (a program for retrieving the date
and time from remote machines via a network) and ntpd (a daemon which
continuously adjusts system time).

Install the ntp package if you need tools for keeping your system's
time synchronized via the NTP protocol.


#
#	RPM
#


%prep
%setup -n ntp-%{version}
%patch1 -p1

%build
%sony_target_dev_setup

%target_acplatvars
export ac_cv_sizeof_signed_char=1
%if "%{sony_target_cpu_type}" == "mips"
export ac_cv_func_timer_create=no
export ac_cv_func_timer_settime=no
%endif

%sony_target_dev_configure --with-yielding-select --without-ntpsnmpd
cp config.h ../include/
#make CC="$CC -I../../include -DCLOCK_REALTIME=0"
make CC="$CC -DCLOCK_REALTIME=0"


%install
%sony_target_dev_setup
PATH=%{sony_cross_bin_dir}:$PATH
rm -rf %{buildroot}

%sony_target_dev_makeinstall bindir=%{sony_target_dev_sbin_dir}
cd ..
mkdir -p %{buildroot}%{sony_target_dir}%{sony_target_dev_bin_dir}
        for file in ntpq ntpdc ntptrace; do \
                mv %{buildroot}%{sony_target_dir}%{sony_target_dev_sbin_dir}/$file %{buildroot}%{sony_target_dir}%{sony_target_dev_bin_dir}/$file; \
        done
        install -m 0755 %{SOURCE2} \
                %{buildroot}%{sony_target_dir}%{sony_target_dev_sbin_dir}/configure-ntp

### install -d %{buildroot}%{sony_target_dir}%{sony_target_dev_sysconf_dir}/cron.weekly
### install -d %{buildroot}%{sony_target_dir}%{sony_target_dev_sysconf_dir}/cron.daily
### install debian/ntp-simple.cron.weekly %{buildroot}%{sony_target_dir}%{sony_target_dev_sysconf_dir}/cron.weekly/ntp
### install debian/ntp-simple.cron.daily %{buildroot}%{sony_target_dir}%{sony_target_dev_sysconf_dir}/cron.daily/ntp

#cp COPYRIGHT LICENSE
rm -rf %{buildroot}%{sony_target_dir}%{sony_target_dev_man_dir}/
rm -rf %{buildroot}%{sony_target_dir}%{sony_target_dev_prefix}/share/man
rm -rf %{buildroot}%{sony_target_dir}%{sony_target_dev_prefix}/share/doc

%clean
rm -rf %{buildroot}


%files -n %{pkgname}
%defattr(-,root,root)
### %config %{sony_target_dir}%{sony_target_dev_sysconf_dir}/cron.daily/ntp
### %config %{sony_target_dir}%{sony_target_dev_sysconf_dir}/cron.weekly/ntp
%{sony_target_dir}%{sony_target_dev_bin_dir}/ntpdc
%{sony_target_dir}%{sony_target_dev_bin_dir}/ntpq
%{sony_target_dir}%{sony_target_dev_bin_dir}/ntptrace
%{sony_target_dir}%{sony_target_dev_sbin_dir}/configure-ntp
%{sony_target_dir}%{sony_target_dev_sbin_dir}/ntpd
%{sony_target_dir}%{sony_target_dev_sbin_dir}/sntp
%{sony_target_dir}%{sony_target_dev_sbin_dir}/ntp-wait
%{sony_target_dir}%{sony_target_dev_sbin_dir}/ntp-keygen
%{sony_target_dir}%{sony_target_dev_sbin_dir}/ntpdate
%{sony_target_dir}%{sony_target_dev_sbin_dir}/ntptime
#%{sony_target_dir}%{sony_target_dev_sbin_dir}/ntptimeset
%{sony_target_dir}%{sony_target_dev_sbin_dir}/tickadj
%{sony_target_dir}%{sony_target_dev_sbin_dir}/calc_tickadj
%{sony_target_dir}%{sony_target_dev_sbin_dir}/update-leap
%{sony_target_dir}%{sony_target_dev_prefix}/share/ntp/lib/NTP/Util.pm
#%doc LICENSE


%changelog
* Wed Oct 24 2018 Sony Corporation
- Version update  4.2.8p8 -> 4.2.8p12

* Wed Nov 23 2016 Sony Corporation
- Version update  4.2.8p2 -> 4.2.8p8

* Tue Dec 29 2015 Sony Corporation
- Added CVE-2015-5146, CVE-2015-5300, CVE-2015-7691, CVE-2015-7692, 
        CVE-2015-7701, CVE-2015-7702, CVE-2015-7704, CVE-2015-7705,
        CVE-2015-7848, CVE-2015-7849, CVE-2015-7850, CVE-2015-7851,
        CVE-2015-7852, CVE-2015-7853, CVE-2015-7854, CVE-2015-7855,
        CVE-2015-7871 fix patches

* Thu Jun 18 2015 Sony Corporation
- Version update  4.2.4p8 -> 4.2.8p2

* Thu Feb 19 2015 Sony Corporation
- Added CVE-2014-9297 and CVE-2014-9298 fix patches.

* Tue Feb 03 2015 Sony Corporation
- Merging changes from CE Linux 8.2.1.X.

* Tue Feb 09 2010 Sony Corporation
- Added nano support patch.

* Fri Jan 22 2010 Sony Corporation
- Version update  4.2.4p7 -> 4.2.4p8

* Fri May 29 2009 Sony Corporation
- Version update  4.2.4p6 -> 4.2.4p7

* Wed Mar 04 2009 Sony Corporation
- Version update  4.2.4p4 -> 4.2.4p6

* Wed Aug 30 2008 Sony Corporation
- Version update  4.2.4p3 -> 4.2.4p4

* Wed Aug 01 2007 Sony Corporation
- Version update  4.1.2 -> 4.2.4p3

* Thu Feb 17 2005 Sony Corporation
- Initial build.

